Bug 1716845 - [RFE][UI][V2V] Completed plan list require proper alignment [NEEDINFO]
Summary: [RFE][UI][V2V] Completed plan list require proper alignment
Keywords:
Status: ASSIGNED
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: V2V
Version: 5.10.5
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: GA
: 5.11.z
Assignee: Mike Turley
QA Contact: Yadnyawalk Tale
Red Hat CloudForms Documentation
URL:
Whiteboard: v2v
: 1762457 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-04 09:39 UTC by Yadnyawalk Tale
Modified: 2019-10-17 17:41 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Category: ---
Cloudforms Team: V2V
mturley: needinfo? (fdupont)


Attachments (Terms of Use)

Description Yadnyawalk Tale 2019-06-04 09:39:13 UTC
Description of problem:
Completed plan list require proper alignment


Version-Release number of selected component (if applicable):
5.10.5.1


How reproducible:
100%


Steps to Reproduce:
1.
2.
3.

Actual results:
https://files.gitter.im/Yadnyawalkya/xcnl/Screenshot-from-2019-06-03-18-45-53.png


Expected results:
Should have proper alignment


Additional info:

Comment 3 Mike Turley 2019-06-19 18:34:22 UTC
This requires some further investigation... We are using the PatternFly "list view" component, which was not designed to operate like a table, it was designed to just have left side content, center content and right side content. Because we have stuffed so many things in the center section, the normal list view spacing doesn't work well for us anymore. To fix this I have a few options, none of which are great:

1. I could specify static widths for each "column" there (to use the term loosely), which would mean that as long as the widths of each row's data for each column are less than the static width, everything would be aligned. But it would not scale down to smaller screen sizes well, and if content ends up being wider, it will still not align correctly.
2. I could convert the whole list view to a table in the underlying HTML, which would require rebuilding some of the layout code here and breaking PatternFly semantics, with custom styles to make it still look like a regular list. This would be reliably aligned, but would take a lot of time and effort.
3. I could just move the most variable-width pieces to the end of the center section, such as the mapping name (which here includes the "infrastructure mapping does not exist" message). Most of the rest of the row has a static width, so this would mostly fix the problem, but if a plan has no "scheduled/completed" timestamp, that row's mapping name would not be aligned with the other mapping names. This would be easy to implement, though.

I think maybe if Vince is okay with it, we should go with option 3 which will make the problem less severe without much effort. Otherwise, this needs some troubleshooting time and we should move it to 5.11.

Comment 4 Mike Turley 2019-06-19 19:18:13 UTC
I discussed it with Vince, and we think it is best to table this until 5.11.

Comment 5 Fabien Dupont 2019-07-30 08:59:10 UTC
@mike, any news on this ?

Comment 6 Mike Turley 2019-07-30 16:27:11 UTC
Fabien, we decided to wait and address this after we make the UI changes for warm migration, since we will be changing the layout of these list views and we may use compound expansion to prevent cluttering the actual list items with too much data (which is causing the alignment issues). If we still have alignment issues after warm migration, I have some other ideas on how to address it, but I think we should wait.

Comment 7 Mike Turley 2019-09-17 15:44:50 UTC
This PR (created to prepare for warm migration) will solve this issue when merged: https://github.com/ManageIQ/manageiq-v2v/pull/1031

Comment 8 Mike Turley 2019-09-19 20:05:49 UTC
The PR is now merged, I'm not sure what release it belongs in though. It will be necessary for warm migration.

Comment 9 Mike Turley 2019-10-17 17:39:30 UTC
*** Bug 1762457 has been marked as a duplicate of this bug. ***

Comment 10 Mike Turley 2019-10-17 17:41:58 UTC
Copying my comment from the duplicate BZ:

> The alignment issue was fixed by https://github.com/ManageIQ/manageiq-v2v/pull/1031 which was merged to master in early September.
> The fix involved a heavy refactor to replace the components making up these list views with a new table-based structure. Since it is such a heavy change, I don't think we should necessarily backport it to ivanchuk unless we are backporting all of the warm migration related changes (since they depend on this).

Fabien, do we know yet whether we will be backporting all of the warm migration changes to 5.11.z? or will that all be waiting for 5.12?


Note You need to log in before you can comment on or make changes to this bug.